using Exam.Infrastructure.Data.Interface;
using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace Hotline.Share.Dtos.Practices
{
    public class PracticeQuestionOptionsDto:IAddRequest
    {
        /// <summary>
        /// 练习试题Id
        /// </summary>
        [Description("练习试题Id")]
        public string PracticeQuestionId { get; set; }

        /// <summary>
        /// 题库试题Id
        /// </summary>
        [Description("题库试题Id")]
        public string QuestionOptionId { get; set; }

        /// <summary>
        /// 选项
        /// </summary>
        [Description("选项")]
        public string Content { get; set; }

        /// <summary>
        /// 选项题标
        /// </summary>
        [Description("选项题标")]
        public string Label { get; set; }

        /// <summary>
        /// 是否选中
        /// </summary>
        [Description("是否选中")]
        public bool IsSelected { get; set; }

        /// <summary>
        /// 是否答案
        /// </summary>
        [Description("是否答案")]
        public bool IsAnswer { get; set; }
    }

    public class GradingPracticeQuestionOptionsDto : PracticeQuestionOptionsDto, IActionRequest
    {

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
